Bug 89452 - Keyboard layout changes (eg. Caps->Ctrl) reset after logout
Summary: Keyboard layout changes (eg. Caps->Ctrl) reset after logout
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kcontrol   
(Show other bugs)
Version: 9
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-23 00:35 UTC by James Preston
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-23 19:43:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Preston 2003-04-23 00:35:27 UTC
Description of problem:

  The effect of Xkb options set in the Keyboard layout dialog
  don't persist after logout.

Version-Release number of selected component (if applicable):

  3.1-10 Red Hat (Using KDE 3.1-10 RedHat)

Steps to Reproduce:
1. Open kpanel, "Regional & Accessibility", "Keyboard Layout", "Options"
   tab.
2. Set "Control Key Position" to "Make CapsLock an additional Control".
3. Confirm Caps key is indeed another control key.
4. Logout or kill X.
5. Login.
6. Caps key will have reverted to a Caps key.
7. kpanel will however still show the "Make CapsLock an additional Control"
   setting.
 
Actual results:

 CapsLock key reverts to being caps.

Expected results:

 CapsLock should respect the settings made in the kcontrol dialog.

Comment 1 Elliot Lee 2004-08-23 19:43:03 UTC
Closing bugs for old packages that have no maintainer.


Note You need to log in before you can comment on or make changes to this bug.